Set a callback for worker exceptions

- « GearmanClient::setDataCallback

- GearmanClient::setFailCallback »

- PHP Manual
- GearmanClient
- Set a callback for worker exceptions

# GearmanClient::setExceptionCallback

(PECL gearman >= 0.5.0)

GearmanClient::setExceptionCallback — Set a callback for worker exceptions

### Description

public GearmanClient::setExceptionCallback(callable `$function`): bool

Specifies a function to call when a worker for a task sends an exception.

### Parameters

`function`

  Function to call when the worker throws an exception

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- GearmanClient::setDataCallback() - Callback function when there is a data packet for a task
- GearmanClient::setCompleteCallback() - Set a function to be called on task completion
- GearmanClient::setCreatedCallback() - Set a callback for when a task is queued
- GearmanClient::setFailCallback() - Set callback for job failure
- GearmanClient::setStatusCallback() - Set a callback for collecting task status
- GearmanClient::setWarningCallback() - Set a callback for worker warnings
- GearmanClient::setWorkloadCallback() - Set a callback for accepting incremental data updates